%def_without v17
%set_verify_elf_method textrel=relaxed

%define snapshot 20070708

Name: libspandsp4
Summary: DSP library for VoIP, FAX and T.38 support
Version: 0.0.4
Release: alt1.%snapshot
License: GPL
Group: System/Libraries

Source: spandsp.tar

# Automatically added by buildreq on Wed Sep 06 2006
BuildRequires: doxygen fontconfig gcc-c++ gcc-fortran libaudiofile-devel libfftw3-devel libfftw-devel libfltk-devel libtiff-devel libXext-devel libXft-devel libxml2-devel

Obsoletes: spandsp
Obsoletes: libspandsp
Conflicts: libspandsp
Obsoletes: libspandsp3
Conflicts: libspandsp3

%description
%summary

%package devel
Summary: %summary
Group: Development/C
Requires: %name = %version-%release
Provides: libspandsp-devel = %version-%release
Obsoletes: spandsp-devel

%description devel
%summary

%package docs
Summary: %summary
Group: Development/Documentation

%description docs
%summary

%prep
%setup -c

%build
# if this enabled, it _must_ be enabled in all binaries builded with this lib
%if_with v17
export CCFLAGS=-DENABLE_V17
export CPPFLAGS=-DENABLE_V17
%endif
%__autoreconf
%configure --enable-doc --enable-shared --disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

mkdir -p %buildroot%_docdir/%name
cp -a doc/api/html/* %buildroot%_docdir/%name

%files
%_libdir/libspandsp.so.0
%_libdir/libspandsp.so.0.0.2

%files docs
%_docdir/%name

%files devel
%_libdir/libspandsp.so
%dir %_includedir/spandsp
%dir %_datadir/spandsp
%_includedir/spandsp.h
%_includedir/spandsp/*.h
%_datadir/spandsp/*.xml
%_datadir/spandsp/tones.dtd

%changelog
* Sun Jul 08 2007 Denis Smirnov <mithraen@altlinux.ru> 0.0.4-alt1.20070708
- update to 20070708

* Mon Jun 11 2007 Denis Smirnov <mithraen@altlinux.ru> 0.0.4-alt1.20070608
- update to 20070608
- make libspandsp4-devel provides more nice for upgrading

* Mon May 14 2007 Denis Smirnov <mithraen@altlinux.ru> 0.0.4-alt1.20070513
- update to 0.0.4

* Fri Apr 27 2007 Denis Smirnov <mithraen@altlinux.ru> 0.0.3pre28.2007.04.05-alt1
- version update

* Mon Feb 19 2007 Denis Smirnov <mithraen@altlinux.ru> 0.0.3pre27.2007.01.23-alt1
- version update, add symbol versioning

* Thu Jan 11 2007 Denis Smirnov <mithraen@altlinux.ru> 0.0.3pre27-alt1
- version update

* Tue Oct 24 2006 Denis Smirnov <mithraen@altlinux.ru> 0.0.3pre24-alt1
- version update

* Wed Sep 06 2006 Denis Smirnov <mithraen@altlinux.ru> 0.0.3pre22-alt1.svn20060903
- first build for Sisyphus
- T.38 support

